aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--README.md1
-rw-r--r--nvchecker.toml7
-rw-r--r--setup.sh7
3 files changed, 10 insertions, 5 deletions
diff --git a/README.md b/README.md
index fdf17a0..38f02db 100644
--- a/README.md
+++ b/README.md
@@ -29,6 +29,7 @@ This list is ever growing, if you want to ask for a package to be prioritized, j
| exploitdb | ✅ | [exploit-db.com](https://www.exploit-db.com/) | 2026-03-04 |
| nuclei | ❎ | [projectdiscovery/nuclei](https://github.com/projectdiscovery/nuclei) | 3.7.1 |
| windows binaries | ❎ | [kali.org](https://www.kali.org/tools/windows-binaries/) | 0.6.10 |
+| webshells | ❎ | [kali.org](https://www.kali.org/tools/webshells/) | 1.1 |
| metasploit framework | ❎ | [metasploit.com](https://www.metasploit.com/) | 6.4.123 |
> [!IMPORTANT]
diff --git a/nvchecker.toml b/nvchecker.toml
index 6053710..c057e0d 100644
--- a/nvchecker.toml
+++ b/nvchecker.toml
@@ -61,4 +61,9 @@ regex = 'john-(\d+\.\d+\.\d+)\.tar\.xz'
source = "github"
github = "vanhauser-thc/thc-hydra"
use_latest_release = "true"
-prefix = "v" \ No newline at end of file
+prefix = "v"
+
+[webshells]
+source = "regex"
+url = "https://pkg.kali.org/pkg/webshells"
+regex = "version:<.+>\n\\s+([A-Za-z0-9.-_]+)\\+kali8"
diff --git a/setup.sh b/setup.sh
index c68429c..cff87f3 100644
--- a/setup.sh
+++ b/setup.sh
@@ -6,9 +6,7 @@ if [[ $EUID -ne 0 ]]; then
fi
# make sure we have a wordlists directory
-if [[ ! -d /usr/share/wordlists ]]; then
- mkdir -p /usr/share/wordlists
-fi
+[[ ! -d /usr/share/wordlists ]] && mkdir -p /usr/share/wordlists || true
# add a link to the metasploit wordlists
ln -s /opt/metasploit-framework/embedded/framework/data/wordlists /usr/share/wordlists/metasploit
@@ -16,4 +14,5 @@ ln -s /opt/metasploit-framework/embedded/framework/data/wordlists /usr/share/wor
# add a link to the seclists
ln -s /usr/share/seclists /usr/share/wordlists/seclists
-
+# add seclists webshells to generic webshells
+[[ -d /usr/share/webshells && -d /usr/share/seclists/Web-Shells ]] && ln -s /usr/share/seclists/Web-Shells /usr/share/webshells/seclists || true